'use strict';

module.exports.console = function (logs) {

  function log(level) {
    return function (message) {
      return logs.push({ level: { name: level }, message: message });
    };
  }

  return {
    log: log('INFO'),
    info: log('INFO'),
    error: log('SEVERE'),
    warn: log('WARNING'),
    debug: log('DEBUG')
  };
};

module.exports.browser = function (_logs, browserName) {
  var Capabilities = new Map();
  return {
    getCapabilities: function getCapabilities() {
      return Promise.resolve(Capabilities.set('browserName', browserName || 'chrome'));
    },
    manage: function manage() {
      return {
        logs: function logs() {
          return {
            get: function get(type) {
              return type === 'browser' ? Promise.resolve(_logs.splice(0, _logs.length)) : Promise.reject();
            }
          };
        }
      };
    }
  };
};
//# sourceMappingURL=mocks.js.map
